From 202f40e69ad64f8218469131eb7b46695268fb8d Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@redhat.com>
Date: Nov 16 2018 22:14:04 +0000
Subject: [PATCH 14/15] rename ee4j to ee4j-parent


---

diff --git a/ee4j-parent/ee4j-parent.spec b/ee4j-parent/ee4j-parent.spec
new file mode 100644
index 0000000..8795981
--- /dev/null
+++ b/ee4j-parent/ee4j-parent.spec
@@ -0,0 +1,40 @@
+Name:		ee4j-parent
+Version:	1.0.1
+Release:	1%{?dist}
+Summary:	Parent POM file for Eclipse Enterprise for Java projects
+
+License:	EPL-2.0 or GPLv2 with exceptions
+URL:		https://github.com/eclipse-ee4j/ee4j
+
+Source0:	https://github.com/eclipse-ee4j/ee4j/archive/1.0.1.tar.gz
+
+BuildArch:	noarch
+
+BuildRequires:	maven-local
+
+%description
+Eclipse Enterprise for Java (EE4J) is an open source initiative to create 
+standard APIs, implementations of those APIs, and technology compatibility kits
+for Java run-times that enable development, deployment, and management of 
+server-side and cloud-native applications.
+
+%global tarball_name ee4j-%{version}
+
+%prep
+%setup -q -n %{tarball_name}
+
+mv %{_builddir}/%{tarball_name}/parent/pom.xml %{_builddir}/%{tarball_name}/pom.xml
+rm -r %{_builddir}/%{tarball_name}/parent/
+
+%build
+%mvn_build
+
+%install
+%mvn_install
+
+%files -f .mfiles
+%doc README.md
+
+%changelog
+* Fri Sep 21 2018 Salman Siddiqui <sasiddiq@redhat.com> - 1.0.1-1
+- Initial packaging
diff --git a/ee4j-parent/generate_ee4j_tarball.sh b/ee4j-parent/generate_ee4j_tarball.sh
new file mode 100755
index 0000000..daa8ea7
--- /dev/null
+++ b/ee4j-parent/generate_ee4j_tarball.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+wget https://github.com/eclipse-ee4j/ee4j/archive/1.0.1.tar.gz
